---
title: Groups/Regular Endpoints (2022/06)
slug: develop/groupsregular-endpoints-202206
docTags: 
createdAt: 2025-03-11T07:03:30.743Z
---

Use these endpoints to manage groups on the network. 

Base URL for these endpoints:  ***https\://api.bsn.cloud/2022/06/REST/Groups/Regular***

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## GET /

Retrieves a list of groups on the network.

**Required Scope Token**

bsn.api.main.groups.regular.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameters**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results. The default value is null.
- `sort` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (see [this page](docId:3L0afyD3xoOE-yTvfk2vs) for more information). The default value is null.
- `marker` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of group instances exceeds the `pageSize`. This parameter is only required if you need more elements in the paged list than the `pageSize` (100).
- `pageSize` <font color="#704ae0">int</font> <font color="#01a0af">optional: </font>The maximum number of group instances that can be contained in the response body. This defaults to the maximum allowed page size (100).

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `marker` value is set to `[PagedList].[NextMarker]` property value from the previous BSN.cloud API response.
- `pageSize` is set to `1`
- `filter` is set to `[CreationDate] IS IN THE RANGE '2020-07-01' AND '2023-08-01'`
- `sort` is set to `[Name] ASC`

```text
GET /2022/06/REST/Groups/Regular/?marker=YXVkaW8tdGVzdCwyNjQ1Mjg%3D&pageSize=1&filter=%5BCreationDate%5D%20IS%20IN%20THE%20RANGE%20%272020-07-01%27%20AND%20%272023-08-01%27&sort=%5BName%5D%20ASC HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns a [paged list](docId\:Pwwr0Ln3-binNgL-mr3St) of [Regular Groups Entity](docId\:uzVWHpbOPgrY2Z9PqO9Gd) instances on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

:::ExpandableHeading
Example

```json
{
   "items": [   {
      "id": 123456,
      "name": "ConferenceRoom",
      "creationDate": "2023-7-11T22:24:51.347Z",
      "lastModifiedDate": "2023-12-11T22:45:47.007Z",
      "autorun": null,
      "hdX23Firmware": "",
      "hdX23FirmwareId": -1,
      "lsX23Firmware": "",
      "lsX23FirmwareId": -1,
      "hsX23Firmware": "",
      "hsX23FirmwareId": -1,
      "hoX23Firmware": "",
      "hoX23FirmwareId": -1,
      "xdX33Firmware": "",
      "xdX33FirmwareId": -1,
      "xtX43Firmware": "",
      "xtX43FirmwareId": -1,
      "xdX34_XTX44Firmware": "",
      "xdX34_XTX44FirmwareId": -1,
      "hdX4_HSX4_LSX4Firmware": "8.5.47",
      "hdX4_HSX4_LSX4FirmwareId": 12345678,
      "auX5Firmware": "",
      "auX5FirmwareId": -1,
      "4KX42Firmware": "",
      "4KX42FirmwareId": -1,
      "xcX55Firmware": "",
      "xcX55FirmwareId": -1,
      "xtX45_XDX35_HDX25_LS4X5_HS1X5Firmware": "",
      "xtX45_XDX35_HDX25_LS4X5_HS1X5FirmwareId": -1,
      "enableSerialDebugging": false,
      "enableSystemLogDebugging": false,
      "enableStorageSpaceLimit": false,
      "storageSpaceLimitUnits": "Percentage",
      "publishedDataSizeLimit": 0,
      "dynamicDataSizeLimit": 0,
      "htmlDataSizeLimit": 0,
      "htmlLocalStorageSizeLimit": 0,
      "webDatabaseSizeLimit": 0,
      "devicesCount": 2,
      "devicesHealthStatus":       {
         "normal": 1,
         "error": 1
      },
      "devices": null,
      "schedule": [],
      "permissions": []
   }],
   "totalItemCount": 8,
   "matchingItemCount": 8,
   "pageSize": 1,
   "nextMarker": "Q29uZmVyZW5jZVJvb20sMzIwMzA3",
   "prevMarker": "Q29uZmVyZW5jZVJvb20sMzIwMpG8",
   "isTruncated": true,
   "sortExpression": "[Name] ASC",
   "filterExpression": "[CreationDate] IS IN THE RANGE '2020-07-01T00:00:00.000Z' AND '2023-08-01T00:00:00.000Z'"
}
```
:::

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## POST /

Creates a group on the network.

**Required Scope Token**

bsn.api.main.groups.regular.create

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Regular Groups Entity](docId\:uzVWHpbOPgrY2Z9PqO9Gd) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

```text
POST /2022/06/REST/Groups/Regular/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 1053
```

This is the example request body:

```json
{
   "id": 0,
   "name": "NewGroup",
   "creationDate": "0001-01-01T00:00:00.000Z",
   "lastModifiedDate": "0001-01-01T00:00:00.000Z",
   "autorun": null,
   "hdX23Firmware": "",
   "hdX23FirmwareId": -1,
   "lsX23Firmware": "",
   "lsX23FirmwareId": -1,
   "hsX23Firmware": "",
   "hsX23FirmwareId": -1,
   "hoX23Firmware": "",
   "hoX23FirmwareId": -1,
   "xdX33Firmware": "",
   "xdX33FirmwareId": -1,
   "xtX43Firmware": "",
   "xtX43FirmwareId": -1,
   "xdX34_XTX44Firmware": "",
   "xdX34_XTX44FirmwareId": -1,
   "hdX4_HSX4_LSX4Firmware": "8.5.47",
   "hdX4_HSX4_LSX4FirmwareId": -1,
   "4KX42Firmware": "",
   "4KX42FirmwareId": -1,
   "enableSerialDebugging": false,
   "enableSystemLogDebugging": false,
   "enableStorageSpaceLimit": false,
   "storageSpaceLimitUnits": "Percentage",
   "publishedDataSizeLimit": 0,
   "dynamicDataSizeLimit": 0,
   "htmlDataSizeLimit": 0,
   "htmlLocalStorageSizeLimit": 0,
   "webDatabaseSizeLimit": 0,
   "devicesCount": 0,
   "devicesHealthStatus": null,
   "devices": null,
   "schedule": null,
   "permissions": []
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">201</font>: Returns the [Regular Groups Entity](docId\:uzVWHpbOPgrY2Z9PqO9Gd) created and referenced by the Uri (given by the Location header field) in the response.  

**Example**

```json
{
   "id": 123456,
   "name": "NewGroup",
   "creationDate": "2023-10-19T20:30:35.833Z",
   "lastModifiedDate": "2023-10-19T20:30:35.833Z",
   "autorun": null,
   "hdX23Firmware": "",
   "hdX23FirmwareId": -1,
   "lsX23Firmware": "",
   "lsX23FirmwareId": -1,
   "hsX23Firmware": "",
   "hsX23FirmwareId": -1,
   "hoX23Firmware": "",
   "hoX23FirmwareId": -1,
   "xdX33Firmware": "",
   "xdX33FirmwareId": -1,
   "xtX43Firmware": "",
   "xtX43FirmwareId": -1,
   "xdX34_XTX44Firmware": "",
   "xdX34_XTX44FirmwareId": -1,
   "hdX4_HSX4_LSX4Firmware": "8.5.47",
   "hdX4_HSX4_LSX4FirmwareId": 12345,
   "auX5Firmware": "",
   "auX5FirmwareId": -1,
   "4KX42Firmware": "",
   "4KX42FirmwareId": -1,
   "xcX55Firmware": "",
   "xcX55FirmwareId": -1,
   "xtX45_XDX35_HDX25_LS4X5_HS1X5Firmware": "",
   "xtX45_XDX35_HDX25_LS4X5_HS1X5FirmwareId": -1,
   "enableSerialDebugging": false,
   "enableSystemLogDebugging": false,
   "enableStorageSpaceLimit": false,
   "storageSpaceLimitUnits": "Percentage",
   "publishedDataSizeLimit": 0,
   "dynamicDataSizeLimit": 0,
   "htmlDataSizeLimit": 0,
   "htmlLocalStorageSizeLimit": 0,
   "webDatabaseSizeLimit": 0,
   "devicesCount": 0,
   "devicesHealthStatus": {},
   "devices": null,
   "schedule": [],
   "permissions": []
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /

Removes groups, specified by a filter, from a network. This allows multiple groups to be deleted at once.

**Required Scope Token**

bsn.api.main.groups.regular.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameter**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">required: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results. 
- `reassignmentGroupId` <font color="#704ae0">int</font> <font color="#01a0af">optional: </font>The identifier of the group instance to which affected devices should be reassigned. If this value is negative, the devices will be reassigned to the default “Unassigned” group instance. If a group instance with the specified positive \[int] Id does not exist, the method will return a descriptive error. The default value is 0.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `filter` is set to `[DevicesCount] IS 0`
- `reassignmentGroupId` is set to `12345`

```text
DELETE /2022/06/REST/Groups/Regular/?reassignmentGroupId=12345&filter=%5BDevicesCount%5D%20IS%200 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns the number of affected groups as an integer value.

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /Count/  

Returns the number of groups on the network that match the specified filter criteria. If no filter is included, this call returns the total number of groups on the network. 

**Required Scope Token**

bsn.api.main.groups.regular.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameter**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results. The default value is null.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `filter` is set to `[Name] CONTAINS 'test'`

```text
GET /2022/06/REST/Groups/Regular/Count/?filter=%5BName%5D%20CONTAINS%20%27test%27 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: The number of groups is returned as an integer value.

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{id}/  

Returns a specified group

**Required Scope Token**

bsn.api.main.groups.regular.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>The unique identifier for the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345`
- The optional `If-Modified-Since` header value equals the `Last-Modified` header value retrieved from the previous `GET /id` or `GET /name` response

```text
GET /2022/06/REST/Groups/Regular/12345/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Modified-Since: Wed, 20 Dec 2023 21:32:34 GMT
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response with Body**

<font color="#089a4d">200</font>: Returns the [Regular Groups Entity](docId\:uzVWHpbOPgrY2Z9PqO9Gd) 

**Example**

This is an example of a 200 level response:

```json
{
   "id": 12345,
   "name": "ConferenceRoom",
   "creationDate": "2023-12-11T22:24:51.347Z",
   "lastModifiedDate": "2023-12-20T21:32:35.093Z",
   "autorun": null,
   "hdX23Firmware": "",
   "hdX23FirmwareId": -1,
   "lsX23Firmware": "",
   "lsX23FirmwareId": -1,
   "hsX23Firmware": "",
   "hsX23FirmwareId": -1,
   "hoX23Firmware": "",
   "hoX23FirmwareId": -1,
   "xdX33Firmware": "",
   "xdX33FirmwareId": -1,
   "xtX43Firmware": "",
   "xtX43FirmwareId": -1,
   "xdX34_XTX44Firmware": "",
   "xdX34_XTX44FirmwareId": -1,
   "hdX4_HSX4_LSX4Firmware": "",
   "hdX4_HSX4_LSX4FirmwareId": -1,
   "auX5Firmware": "",
   "auX5FirmwareId": -1,
   "4KX42Firmware": "",
   "4KX42FirmwareId": -1,
   "xcX55Firmware": "",
   "xcX55FirmwareId": -1,
   "xtX45_XDX35_HDX25_LS4X5_HS1X5Firmware": "",
   "xtX45_XDX35_HDX25_LS4X5_HS1X5FirmwareId": -1,
   "enableSerialDebugging": true,
   "enableSystemLogDebugging": false,
   "enableStorageSpaceLimit": false,
   "storageSpaceLimitUnits": "Percentage",
   "publishedDataSizeLimit": 0,
   "dynamicDataSizeLimit": 0,
   "htmlDataSizeLimit": 0,
   "htmlLocalStorageSizeLimit": 0,
   "webDatabaseSizeLimit": 0,
   "devicesCount": 2,
   "devicesHealthStatus":    {
      "normal": 1,
      "error": 1
   },
   "devices":    [
            {
         "id": 12345,
         "serial": "XXXXXX000000"
      },
            {
         "id": 67890,
         "serial": "YYYYYY000000"
      }
   ],
   "schedule": [],
   "permissions": []
}
```

**Success Response**

<font color="#089a4d">304</font>: The resource was not modified since the time specified in the `If-Modified-Since` header

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## PUT /\{id}/  

Updates the specified group

**Required Scope Token**

bsn.api.main.groups.regular.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>The unique identifier for the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Regular Groups Entity](docId\:uzVWHpbOPgrY2Z9PqO9Gd) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
PUT /2022/06/REST/Groups/Regular/12345/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Content-Type: application/json
Content-Length: 1785
```

This is the example request body:

```json
{
  "id": 0,
  "name": "Default",
  "creationDate": "0001-01-01T00:00:00",
  "lastModifiedDate": "0001-01-01T00:00:00",
  "autorun": null,
  "hdX23Firmware": "",
  "hdX23FirmwareId": -1,
  "lsX23Firmware": "",
  "lsX23FirmwareId": -1,
  "hsX23Firmware": "",
  "hsX23FirmwareId": -1,
  "hoX23Firmware": "",
  "hoX23FirmwareId": -1,
  "xdX33Firmware": "",
  "xdX33FirmwareId": -1,
  "xtX43Firmware": "",
  "xtX43FirmwareId": -1,
  "xdX34_XTX44Firmware": "",
  "xdX34_XTX44FirmwareId": -1,
  "hdX4_HSX4_LSX4Firmware": "8.5.47",
  "hdX4_HSX4_LSX4FirmwareId": -1,
  "auX5Firmware": "",
  "auX5FirmwareId": -1,
  "4KX42Firmware": "",
  "4KX42FirmwareId": -1,
  "xcX55Firmware": "",
  "xcX55FirmwareId": -1,
  "xtX45_XDX35_HDX25_LS4X5_HS1X5Firmware": "",
  "xtX45_XDX35_HDX25_LS4X5_HS1X5FirmwareId": -1,
  "enableSerialDebugging": false,
  "enableSystemLogDebugging": true,
  "enableStorageSpaceLimit": false,
  "storageSpaceLimitUnits": "Percentage",
  "publishedDataSizeLimit": 0,
  "dynamicDataSizeLimit": 0,
  "htmlDataSizeLimit": 0,
  "htmlLocalStorageSizeLimit": 0,
  "webDatabaseSizeLimit": 0,
  "devicesCount": 0,
  "devicesHealthStatus": null,
  "devices": null,
  "schedule": null,
  "permissions": []
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified group has been updated

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource/group changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## PATCH /\{id}/  

Applies a sequence of changes to a specific group entity specified by id. See [RFC 6902](https://datatracker.ietf.org/doc/html/rfc6902).

**Required Scope Token**

bsn.api.main.groups.regular.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>The identifier for the group entity, which is a resource Uri

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

These properties are entries in an array. Every entry must have all three of these properties:

- `op` <font color="#704ae0">string</font>:  The type of operation - in this case it is always "replace"
- `path` <font color="#704ae0">string</font>: A Uri path that references the location within the target document where the update will be performed
- `value` <font color="#704ae0">object</font>: The replacement value(s) for the parameters that must be updated. This can be an array.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is `12345`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
PATCH /2022/06/REST/Groups/Regular/12345/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Content-Type: application/json-patch+json
Content-Length: 91
```

This is the example request body:

```json
[
  {
    "op": "replace",
    "path": "/xdX34_XTX44Firmware/",
    "value": "8.5.33"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The parameters have been successfully replaced.

**Failure Response**

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{id}/  

Removes the specified group

**Required Scope Token**

bsn.api.main.groups.regular.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `id` <font color="#704ae0">int: </font>The unique identifier for the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameter**

- `reassignmentGroupId` <font color="#704ae0">int</font> <font color="#01a0af">optional: </font>The identifier of the group instance to which affected devices should be reassigned. If this value is negative, the devices will be reassigned to the default “Unassigned” group instance. If a group instance with the specified positive \[int] Id does not exist, the method will return a descriptive error. The default value is 0.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `12345`
- `reassignmentGroupId` is set to `90`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
DELETE /2022/06/REST/Groups/Regular/12345/?reassignmentGroupId=90 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified group has been removed from the network 

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{name}/  

Returns a specified group

**Required Scope Token**

bsn.api.main.groups.regular.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `ConferenceRoom`
- The optional `If-Modified-Since` header value equals the `Last-Modified` header value retrieved from the previous `GET /id` or `GET /name` response

```text
GET /2022/06/REST/Groups/Regular/ConferenceRoom/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Modified-Since: Wed, 20 Dec 2023 21:32:34 GMT
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response with Body**

<font color="#089a4d">200</font>: Returns the [Regular Groups Entity](docId\:uzVWHpbOPgrY2Z9PqO9Gd) 

**Example**

This is an example of a 200 level response:

```json
{
   "id": 456789,
   "name": "ConferenceRoom",
   "creationDate": "2023-12-11T22:24:51.347Z",
   "lastModifiedDate": "2023-12-20T21:32:35.093Z",
   "autorun": null,
   "hdX23Firmware": "",
   "hdX23FirmwareId": -1,
   "lsX23Firmware": "",
   "lsX23FirmwareId": -1,
   "hsX23Firmware": "",
   "hsX23FirmwareId": -1,
   "hoX23Firmware": "",
   "hoX23FirmwareId": -1,
   "xdX33Firmware": "",
   "xdX33FirmwareId": -1,
   "xtX43Firmware": "",
   "xtX43FirmwareId": -1,
   "xdX34_XTX44Firmware": "",
   "xdX34_XTX44FirmwareId": -1,
   "hdX4_HSX4_LSX4Firmware": "",
   "hdX4_HSX4_LSX4FirmwareId": -1,
   "auX5Firmware": "",
   "auX5FirmwareId": -1,
   "4KX42Firmware": "",
   "4KX42FirmwareId": -1,
   "xcX55Firmware": "",
   "xcX55FirmwareId": -1,
   "xtX45_XDX35_HDX25_LS4X5_HS1X5Firmware": "",
   "xtX45_XDX35_HDX25_LS4X5_HS1X5FirmwareId": -1,
   "enableSerialDebugging": true,
   "enableSystemLogDebugging": false,
   "enableStorageSpaceLimit": false,
   "storageSpaceLimitUnits": "Percentage",
   "publishedDataSizeLimit": 0,
   "dynamicDataSizeLimit": 0,
   "htmlDataSizeLimit": 0,
   "htmlLocalStorageSizeLimit": 0,
   "webDatabaseSizeLimit": 0,
   "devicesCount": 2,
   "devicesHealthStatus":    {
      "normal": 1,
      "error": 1
   },
   "devices":    [
            {
         "id": 12345,
         "serial": "XXXXXX000000"
      },
            {
         "id": 67890,
         "serial": "YYYYYY000000"
      }
   ],
   "schedule": [],
   "permissions": []
}
```

**Success Response**

<font color="#089a4d">304</font>: The resource was not modified since the time specified in the “If-Modified-Since” header

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## PUT /\{name}/  

Updates a specified group

**Required Scope Token**

bsn.api.main.groups.regular.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Regular Groups Entity](docId\:uzVWHpbOPgrY2Z9PqO9Gd) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is set to `Default`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
PUT /2022/06/REST/Groups/Regular/Default/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Content-Type: Content-Type: application/json-patch+json
Content-Length: 1785
```

This is the example request body:

```json
{
  "id": 0,
  "name": "Default",
  "creationDate": "0001-01-01T00:00:00",
  "lastModifiedDate": "0001-01-01T00:00:00",
  "autorun": null,
  "hdX23Firmware": "",
  "hdX23FirmwareId": -1,
  "lsX23Firmware": "",
  "lsX23FirmwareId": -1,
  "hsX23Firmware": "",
  "hsX23FirmwareId": -1,
  "hoX23Firmware": "",
  "hoX23FirmwareId": -1,
  "xdX33Firmware": "",
  "xdX33FirmwareId": -1,
  "xtX43Firmware": "",
  "xtX43FirmwareId": -1,
  "xdX34_XTX44Firmware": "",
  "xdX34_XTX44FirmwareId": -1,
  "hdX4_HSX4_LSX4Firmware": "8.5.47",
  "hdX4_HSX4_LSX4FirmwareId": -1,
  "auX5Firmware": "",
  "auX5FirmwareId": -1,
  "4KX42Firmware": "",
  "4KX42FirmwareId": -1,
  "xcX55Firmware": "",
  "xcX55FirmwareId": -1,
  "xtX45_XDX35_HDX25_LS4X5_HS1X5Firmware": "",
  "xtX45_XDX35_HDX25_LS4X5_HS1X5FirmwareId": -1,
  "enableSerialDebugging": false,
  "enableSystemLogDebugging": true,
  "enableStorageSpaceLimit": false,
  "storageSpaceLimitUnits": "Percentage",
  "publishedDataSizeLimit": 0,
  "dynamicDataSizeLimit": 0,
  "htmlDataSizeLimit": 0,
  "htmlLocalStorageSizeLimit": 0,
  "webDatabaseSizeLimit": 0,
  "devicesCount": 0,
  "devicesHealthStatus": null,
  "devices": null,
  "schedule": null,
  "permissions": []
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified group has been updated

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource/group changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## PATCH /\{name}/  

Applies a sequence of changes to a specific group entity specified by name. See [RFC 6902](https://datatracker.ietf.org/doc/html/rfc6902).

**Required Scope Token**

bsn.api.main.groups.regular.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the group entity, which is a resource Uri

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

These properties are entries in an array. Every entry must have all three of these properties:

- `op` <font color="#704ae0">string: </font>The type of operation - in this case it is always "replace"
- `path` <font color="#704ae0">string</font>: A Uri path that references the location within the target document where the update will be performed
- `value` <font color="#704ae0">object</font>: The replacement value(s) for the parameters that must be updated. This can be an array.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `name` is `Default`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
PATCH /2022/06/REST/Groups/Regular/Default/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Content-Type: application/json-patch+json
Content-Length: 91
```

This is the example request body:

```json
[
  {
    "op": "replace",
    "path": "/xdX34_XTX44Firmware/",
    "value": "8.5.33"
  }
]
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The parameters have been successfully replaced.

**Failure Response**

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{name}/  

Removes a specified group

**Required Scope Token**

bsn.api.main.groups.regular.delete

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `name` <font color="#704ae0">string: </font>The name of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameter**

- `reassignmentGroupId` <font color="#704ae0">int</font> <font color="#01a0af">optional: </font>The identifier of the group instance to which affected devices should be reassigned. If this value is negative, the devices will be reassigned to the default “Unassigned” group instance. If a group instance with the specified positive \[int] Id does not exist, the method will return a descriptive error. The default value is 0.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is set to `Default`
- `reassignmentGroupId` is set to `90`
- The optional `If-Unmodified-Since` header value equals the `Last-Modified` header value retrieved from the `GET /id` or `GET /name` response.

```text
DELETE /2022/06/REST/Groups/Regular/Default/?reassignmentGroupId=90 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified group has been removed from the network 

**Failure** **Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">412</font>: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{Id}/Schedule/  

Returns a list of the [Scheduled Presentation Entity](docId\:DRSRSrFhJ2cz61wdoL7QM) in the specified group

**Required Scope Token**

bsn.api.main.groups.regular.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `groupId` <font color="#704ae0">int: </font>The unique identifier of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameter**

- `marker` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of group instances exceeds the `pageSize`.
- `pageSize` <font color="#704ae0">int</font> <font color="#01a0af">optional: </font>The maximum number of group instances that can be contained in the response body.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `groupId` is set to `12345`
- `pageSize` is set to `1`
- `marker` value is set to the `[PagedList].[NextMarker]` property value from the previous BSN.cloud API response.

```text
GET /2022/06/REST/Groups/Regular/12345/Schedule/?marker=Zy023g2B8&pageSize=1 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns a list of the scheduled presentations of the specified group

**Example**

```json
{
   "items": [   {
      "id": 2345678,
      "presentationId": 123456,
      "presentationName": "October2023Prez",
      "isRecurrent": false,
      "eventDate": "2023-11-03T00:00:00",
      "startTime": "00:00:00",
      "duration": "23:59:00",
      "recurrenceStartDate": null,
      "recurrenceEndDate": null,
      "daysOfWeek": "None",
      "creationDate": "2023-11-03T21:04:32.81Z",
      "lastModifiedDate": "2023-11-03T21:04:32.81Z",
      "expirationDate": "2023-11-04T11:59:00Z",
      "interruptScheduling": false
   }],
   "totalItemCount": 3,
   "matchingItemCount": 3,
   "pageSize": 1,
   "nextMarker": "GWpbWFcsw15NjI5MjN0",
   "prevMarker": "GWpbWFcsw15NjI5hu8u",
   "isTruncated": true,
   "sortExpression": "[ScheduledPresentation].[ExpireDate] DESC",
   "filterExpression": null
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## POST /\{Id}/Schedule/  

Adds a scheduled presentation to the specified group

**Required Scope Token**

bsn.api.main.groups.regular.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `groupId` <font color="#704ae0">int: </font>The unique identifier of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Scheduled Presentation Entity](docId\:DRSRSrFhJ2cz61wdoL7QM) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `groupId` is set to `12345`

```text
POST /2022/06/REST/Groups/Regular/12345/Schedule/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 419
```

This is the example request body:

```json
{
  "id": 0,
  "presentationId": 23456,
  "presentationName": "October2023Prez",
  "isRecurrent": false,
  "eventDate": "2023-11-04T00:00:00",
  "startTime": "00:00:00",
  "duration": "23:59:00",
  "recurrenceStartDate": null,
  "recurrenceEndDate": null,
  "daysOfWeek": "None",
  "creationDate": "0001-01-01T00:00:00",
  "lastModifiedDate": "0001-01-01T00:00:00",
  "expirationDate": null,
  "interruptScheduling": false
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">201</font>: Returns the new resource created and referenced by the Uri (given by the Location header field) in the response. The response includes the [Scheduled Presentation Entity](docId\:DRSRSrFhJ2cz61wdoL7QM).

**Example**

```json
{
   "id": 1234567,
   "presentationId": 23456,
   "presentationName": "October2023Prez",
   "isRecurrent": false,
   "eventDate": "2023-11-04T00:00:00",
   "startTime": "00:00:00",
   "duration": "23:59:00",
   "recurrenceStartDate": null,
   "recurrenceEndDate": null,
   "daysOfWeek": "None",
   "creationDate": "2023-11-03T18:14:09.3506335Z",
   "lastModifiedDate": "2023-11-03T18:14:09.3506335Z",
   "expirationDate": "2023-11-05T11:59:00Z",
   "interruptScheduling": false
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{name}/Schedule/  

Returns a list of the [Scheduled Presentation Entity](docId\:DRSRSrFhJ2cz61wdoL7QM) in the specified group

**Required Scope Token**

bsn.api.main.groups.regular.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `groupName` <font color="#704ae0">string: </font>The name of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameters**

- `marker` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of group instances exceeds the `pageSize`.
- `pageSize` <font color="#704ae0">int</font> <font color="#01a0af">optional: </font>The maximum number of group instances that can be contained in the response body.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `groupName` is set to `October2023Prez`
- `pageSize` is set to `1`
- `marker` value is set to the `[PagedList].[NextMarker]` property value from the previous BSN.cloud API response.

```text
GET /2022/06/REST/Groups/Regular/October2023Prez/Schedule/?marker=RGVmYXVsdMDkxNA&pageSize=1 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns a list of the scheduled presentations of the specified group

**Example**

```json
{
   "items": [   {
      "id": 2345678,
      "presentationId": 123456,
      "presentationName": "October2023Prez",
      "isRecurrent": true,
      "eventDate": null,
      "startTime": "00:00:00",
      "duration": "1.00:00:00",
      "recurrenceStartDate": null,
      "recurrenceEndDate": null,
      "daysOfWeek": "EveryDay",
      "creationDate": "2023-10-20T21:11:48.233Z",
      "lastModifiedDate": "2023-10-20T21:11:48.233Z",
      "expirationDate": null,
      "interruptScheduling": false
   }],
   "totalItemCount": 3,
   "matchingItemCount": 3,
   "pageSize": 1,
   "nextMarker": "GWpbWFcsw15NjI5MjN0",
   "prevMarker": "GWpbWFcsw15NjI58901",
   "isTruncated": true,
   "sortExpression": "[ScheduledPresentation].[ExpireDate] DESC",
   "filterExpression": null
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist) 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## POST /\{name}/Schedule/  

Adds a scheduled presentation to the specified group

**Required Scope Token**

bsn.api.main.groups.regular.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `groupName` <font color="#704ae0">string: </font>The name of the group

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Scheduled Presentation Entity](docId\:DRSRSrFhJ2cz61wdoL7QM) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `groupName` is set to `October2023Prez`

```text
POST /2022/06/REST/Groups/Regular/October2023Prez/Schedule/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 419
```

This is the example request body:

```json
{
  "id": 0,
  "presentationId": 123456,
  "presentationName": "October2023Prez",
  "isRecurrent": false,
  "eventDate": "2023-11-04T00:00:00",
  "startTime": "00:00:00",
  "duration": "23:59:00",
  "recurrenceStartDate": null,
  "recurrenceEndDate": null,
  "daysOfWeek": "None",
  "creationDate": "0001-01-01T00:00:00",
  "lastModifiedDate": "0001-01-01T00:00:00",
  "expirationDate": null,
  "interruptScheduling": false
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">201</font>: Returns the new resource created and referenced by the Uri (given by the Location header field) in the response. The response includes the [Scheduled Presentation Entity](docId\:DRSRSrFhJ2cz61wdoL7QM) .

**Example**

```json
{
   "id": 2345678,
   "presentationId": 23456,
   "presentationName": "October2023Prez",
   "isRecurrent": false,
   "eventDate": "2023-11-04T00:00:00",
   "startTime": "00:00:00",
   "duration": "23:59:00",
   "recurrenceStartDate": null,
   "recurrenceEndDate": null,
   "daysOfWeek": "None",
   "creationDate": "2023-11-03T18:14:09.3506335Z",
   "lastModifiedDate": "2023-11-03T18:14:09.3506335Z",
   "expirationDate": "2023-11-05T11:59:00Z",
   "interruptScheduling": false
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist) 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{id}/Schedule/\{scheduledPresentationId}/  

Returns the schedule of the specified presentation in the specified group

**Required Scope Token**

bsn.api.main.groups.regular.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

`groupId` <font color="#704ae0">int: </font>The unique identifier of the group

`scheduledPresentationId` <font color="#704ae0">int: </font>The unique identifier for the scheduled presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `groupId` is set to `12345`
- `scheduledPresentationId` is set to `234567`

```text
GET /2022/06/REST/Groups/Regular/12345/Schedule/234567/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns the [Scheduled Presentation Entity](docId\:DRSRSrFhJ2cz61wdoL7QM) 

**Example**

```json
{
   "id": 234567,
   "presentationId": 1234567,
   "presentationName": "Default",
   "isRecurrent": true,
   "eventDate": null,
   "startTime": "00:00:00",
   "duration": "1.00:00:00",
   "recurrenceStartDate": null,
   "recurrenceEndDate": null,
   "daysOfWeek": "EveryDay",
   "creationDate": "2023-10-19T17:21:32.767Z",
   "lastModifiedDate": "2023-10-19T17:21:32.767Z",
   "expirationDate": null,
   "interruptScheduling": false
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## PUT /\{id}/Schedule/\{scheduledPresentationId}/  

Updates the specified scheduled presentation in the specified group.

**Required Scope Token**

bsn.api.main.groups.regular.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `groupId` <font color="#704ae0">int: </font>The unique identifier of the group
- `scheduledPresentationId` <font color="#704ae0">int: </font>The unique identifier for the scheduled presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Scheduled Presentation Entity](docId\:DRSRSrFhJ2cz61wdoL7QM) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `groupId` is set to `12345`
- `scheduledPresentationId` is set to `234567`

```text
PUT /2022/06/REST/Groups/Regular/12345/Schedule/234567/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 443
```

This is the example request body:

```json
{
   "id": 0,
   "presentationId": 1234567,
   "presentationName": "Default",
   "isRecurrent": true,
   "eventDate": null,
   "startTime": "00:00:00",
   "duration": "1.00:00:00",
   "recurrenceStartDate": null,
   "recurrenceEndDate": null,
   "daysOfWeek": "EveryDay",
   "creationDate": "0001-01-01T00:00:00",
   "lastModifiedDate": "0001-01-01T00:00:00",
   "expirationDate": null,
   "interruptScheduling": false
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The scheduled presentation in the specified group has been updated

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{id}/Schedule/\{scheduledPresentationId}/  

Removes a specified scheduled presentation from the specified group

**Required Scope Token**

bsn.api.main.groups.regular.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `groupId` <font color="#704ae0">int: </font>The unique identifier of the group
- `scheduledPresentationId` <font color="#704ae0">int: </font>The unique identifier for the scheduled presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `groupId` is set to `12345`
- `scheduledPresentationId` is set to `234567`

```text
DELETE /2022/06/REST/Groups/Regular/12345/Schedule/234567/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The scheduled presentation has been deleted from the specified group

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /\{name}/Schedule/\{scheduledPresentationId}/  

Returns the schedule of the specified presentation in the specified group

**Required Scope Token**

bsn.api.main.groups.regular.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `groupName` <font color="#704ae0">string: </font>The name of the group
- `scheduledPresentationId` <font color="#704ae0">int: </font>The unique identifier for the scheduled presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `groupName` is set to `Default`
- `scheduledPresentationId` is set to `234567`

```text
GET /2022/06/REST/Groups/Regular/Default/Schedule/234567/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns the [Scheduled Presentation Entity](docId\:DRSRSrFhJ2cz61wdoL7QM).

**Example**

```json
{
   "id": 234567,
   "presentationId": 987654,
   "presentationName": "Default",
   "isRecurrent": true,
   "eventDate": null,
   "startTime": "00:00:00",
   "duration": "1.00:00:00",
   "recurrenceStartDate": null,
   "recurrenceEndDate": null,
   "daysOfWeek": "EveryDay",
   "creationDate": "2023-10-19T17:21:32.767Z",
   "lastModifiedDate": "2023-10-19T17:21:32.767Z",
   "expirationDate": null,
   "interruptScheduling": false
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## PUT /\{name}/Schedule/\{scheduledPresentationId}/  

Updates the specified scheduled presentation in the specified group.

**Required Scope Token**

bsn.api.main.groups.regular.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `groupName` <font color="#704ae0">string: </font>The name of the group
- `scheduledPresentationId` <font color="#704ae0">int: </font>The unique identifier for the scheduled presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

- The [Scheduled Presentation Entity](docId\:DRSRSrFhJ2cz61wdoL7QM) 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `groupName` is set to `Default`
- `scheduledPresentationId` is set to `234567`

```text
PUT /2022/06/REST/Groups/Regular/Default/Schedule/234567/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 443
```

This is the example request body:

```json
{
   "id": 0,
   "presentationId": 987654,
   "presentationName": "Default",
   "isRecurrent": true,
   "eventDate": null,
   "startTime": "00:00:00",
   "duration": "1.00:00:00",
   "recurrenceStartDate": null,
   "recurrenceEndDate": null,
   "daysOfWeek": "EveryDay",
   "creationDate": "0001-01-01T00:00:00",
   "lastModifiedDate": "0001-01-01T00:00:00",
   "expirationDate": null,
   "interruptScheduling": false
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified scheduled presentation has been updated in the specified group

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">415</font>: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## DELETE /\{name}/Schedule/\{scheduledPresentationId}/ 

Removes the specified scheduled presentation from the specified group

**Required Scope Token**

bsn.api.main.groups.regular.update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segment**

- `groupName` <font color="#704ae0">string: </font>The name of the group
- `scheduledPresentationId` <font color="#704ae0">int: </font>The unique identifier for the scheduled presentation

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `groupName` is set to `Default`
- `scheduledPresentationId` is set to `234567`

```text
DELETE /2022/06/REST/Groups/Regular/Default/Schedule/234567/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response**

<font color="#089a4d">204</font>: The specified scheduled presentation has been deleted from the specified group

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method

<font color="#9a0808">404</font>: The server cannot find the requested resource (the path does not exist)

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /Operations/  

Returns operational permissions granted to roles for specific business operations

**Required Scope Token**

bsn.api.main.groups.operations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

```text
GET /2022/06/REST/Groups/Regular/Operations/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns the [Business Operations Entity](docId\:eI98k7OUl6z5i-5B-D6js)

:::ExpandableHeading
Example

```json
{
   "uid": "d430853f-c05f-61b4-d137-0237a6984032",
   "singularName": "Full Control",
   "pluralName": "Group (Full Control)",
   "fullName": "Group (Full Control)",
   "targetEntity": "Group",
   "appliance": "Instance, Collection",
   "parent": null,
   "descendants":    [
            {
         "uid": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
         "singularName": "View Group",
         "pluralName": "View Groups",
         "fullName": "Group (Full Control) - View Groups",
         "targetEntity": "Group",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "d430853f-c05f-61b4-d137-0237a6984032",
            "singularName": "Full Control",
            "pluralName": "Group (Full Control)",
            "fullName": "Group (Full Control)",
            "targetEntity": "Group",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.907Z"
            },
                        {
               "entityId": null,
               "operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:47.983Z"
            },
                        {
               "entityId": null,
               "operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.95Z"
            },
                        {
               "entityId": null,
               "operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.237Z"
            },
                        {
               "entityId": null,
               "operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.553Z"
            },
                        {
               "entityId": null,
               "operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:47.487Z"
            },
                        {
               "entityId": null,
               "operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-10-05T22:24:13.543Z"
            }
         ]
      },
            {
         "uid": "2e0ef6d3-8e8e-f704-258c-82c8ecae089d",
         "singularName": "View Devices",
         "pluralName": "View Devices",
         "fullName": "Group (Full Control) - View Devices",
         "targetEntity": "Group",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "d430853f-c05f-61b4-d137-0237a6984032",
            "singularName": "Full Control",
            "pluralName": "Group (Full Control)",
            "fullName": "Group (Full Control)",
            "targetEntity": "Group",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "2e0ef6d3-8e8e-f704-258c-82c8ecae089d",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:47.993Z"
            },
                        {
               "entityId": null,
               "operationUID": "2e0ef6d3-8e8e-f704-258c-82c8ecae089d",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.95Z"
            },
                        {
               "entityId": null,
               "operationUID": "2e0ef6d3-8e8e-f704-258c-82c8ecae089d",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.237Z"
            },
                        {
               "entityId": null,
               "operationUID": "2e0ef6d3-8e8e-f704-258c-82c8ecae089d",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.553Z"
            },
                        {
               "entityId": null,
               "operationUID": "2e0ef6d3-8e8e-f704-258c-82c8ecae089d",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.893Z"
            },
                        {
               "entityId": null,
               "operationUID": "2e0ef6d3-8e8e-f704-258c-82c8ecae089d",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:47.487Z"
            },
                        {
               "entityId": null,
               "operationUID": "2e0ef6d3-8e8e-f704-258c-82c8ecae089d",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-10-05T22:24:13.543Z"
            }
         ]
      },
            {
         "uid": "432d38a8-7055-40f0-8dd2-348805c1b725",
         "singularName": "View Schedule",
         "pluralName": "View Schedule",
         "fullName": "Group (Full Control) - View Schedule",
         "targetEntity": "Group",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "d430853f-c05f-61b4-d137-0237a6984032",
            "singularName": "Full Control",
            "pluralName": "Group (Full Control)",
            "fullName": "Group (Full Control)",
            "targetEntity": "Group",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "432d38a8-7055-40f0-8dd2-348805c1b725",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.93Z"
            },
                        {
               "entityId": null,
               "operationUID": "432d38a8-7055-40f0-8dd2-348805c1b725",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:48.003Z"
            },
                        {
               "entityId": null,
               "operationUID": "432d38a8-7055-40f0-8dd2-348805c1b725",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.95Z"
            },
                        {
               "entityId": null,
               "operationUID": "432d38a8-7055-40f0-8dd2-348805c1b725",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.237Z"
            },
                        {
               "entityId": null,
               "operationUID": "432d38a8-7055-40f0-8dd2-348805c1b725",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.553Z"
            },
                        {
               "entityId": null,
               "operationUID": "432d38a8-7055-40f0-8dd2-348805c1b725",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:47.487Z"
            },
                        {
               "entityId": null,
               "operationUID": "432d38a8-7055-40f0-8dd2-348805c1b725",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-10-05T22:24:13.543Z"
            }
         ]
      },
            {
         "uid": "08a3a36f-163c-7f44-9586-839aeee44587",
         "singularName": "Create Group",
         "pluralName": "Create Group",
         "fullName": "Group (Full Control) - Create Group",
         "targetEntity": "Group",
         "appliance": "Collection",
         "parent":          {
            "uid": "d430853f-c05f-61b4-d137-0237a6984032",
            "singularName": "Full Control",
            "pluralName": "Group (Full Control)",
            "fullName": "Group (Full Control)",
            "targetEntity": "Group",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "08a3a36f-163c-7f44-9586-839aeee44587",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.95Z"
            },
                        {
               "entityId": null,
               "operationUID": "08a3a36f-163c-7f44-9586-839aeee44587",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.237Z"
            },
                        {
               "entityId": null,
               "operationUID": "08a3a36f-163c-7f44-9586-839aeee44587",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.553Z"
            },
                        {
               "entityId": null,
               "operationUID": "08a3a36f-163c-7f44-9586-839aeee44587",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.893Z"
            },
                        {
               "entityId": null,
               "operationUID": "08a3a36f-163c-7f44-9586-839aeee44587",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:47.487Z"
            },
                        {
               "entityId": null,
               "operationUID": "08a3a36f-163c-7f44-9586-839aeee44587",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.97Z"
            },
                        {
               "entityId": null,
               "operationUID": "08a3a36f-163c-7f44-9586-839aeee44587",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-10-05T22:24:13.543Z"
            }
         ]
      },
            {
         "uid": "294648cf-9961-4b93-9ab9-23264a58328d",
         "singularName": "Update Group",
         "pluralName": "Update Group",
         "fullName": "Group (Full Control) - Update Group",
         "targetEntity": "Group",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "d430853f-c05f-61b4-d137-0237a6984032",
            "singularName": "Full Control",
            "pluralName": "Group (Full Control)",
            "fullName": "Group (Full Control)",
            "targetEntity": "Group",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "294648cf-9961-4b93-9ab9-23264a58328d",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.95Z"
            },
                        {
               "entityId": null,
               "operationUID": "294648cf-9961-4b93-9ab9-23264a58328d",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.237Z"
            },
                        {
               "entityId": null,
               "operationUID": "294648cf-9961-4b93-9ab9-23264a58328d",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.553Z"
            },
                        {
               "entityId": null,
               "operationUID": "294648cf-9961-4b93-9ab9-23264a58328d",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.893Z"
            },
                        {
               "entityId": null,
               "operationUID": "294648cf-9961-4b93-9ab9-23264a58328d",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:47.487Z"
            },
                        {
               "entityId": null,
               "operationUID": "294648cf-9961-4b93-9ab9-23264a58328d",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.97Z"
            },
                        {
               "entityId": null,
               "operationUID": "294648cf-9961-4b93-9ab9-23264a58328d",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-10-05T22:24:13.543Z"
            }
         ]
      },
            {
         "uid": "2f860f4e-c67b-a9d4-95de-f0bdd6c10f58",
         "singularName": "Add Device",
         "pluralName": "Add Device",
         "fullName": "Group (Full Control) - Add Device",
         "targetEntity": "Group",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "d430853f-c05f-61b4-d137-0237a6984032",
            "singularName": "Full Control",
            "pluralName": "Group (Full Control)",
            "fullName": "Group (Full Control)",
            "targetEntity": "Group",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "2f860f4e-c67b-a9d4-95de-f0bdd6c10f58",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.95Z"
            },
                        {
               "entityId": null,
               "operationUID": "2f860f4e-c67b-a9d4-95de-f0bdd6c10f58",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:46.237Z"
            },
                        {
               "entityId": null,
               "operationUID": "2f860f4e-c67b-a9d4-95de-f0bdd6c10f58",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.553Z"
            },
                        {
               "entityId": null,
               "operationUID": "2f860f4e-c67b-a9d4-95de-f0bdd6c10f58",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:46.893Z"
            },
                        {
               "entityId": null,
               "operationUID": "2f860f4e-c67b-a9d4-95de-f0bdd6c10f58",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:47.487Z"
            },
                        {
               "entityId": null,
               "operationUID": "2f860f4e-c67b-a9d4-95de-f0bdd6c10f58",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-08-17T20:49:47.97Z"
            },
                        {
               "entityId": null,
               "operationUID": "2f860f4e-c67b-a9d4-95de-f0bdd6c10f58",
               "principal":                {
                  "name": "Custom",
                  "isCustom": true,
                  "type": "Role",
                  "id": 10498
               },
               "isFixed": false,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2023-10-05T22:24:13.543Z"
            }
         ]
      },
            {
         "uid": "31cd7f9e-1cd2-22b4-7909-83de98da8115",
         "singularName": "Remove Device",
         "pluralName": "Remove Device",
         "fullName": "Group (Full Control) - Remove Device",
         "targetEntity": "Group",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "d430853f-c05f-61b4-d137-0237a6984032",
            "singularName": "Full Control",
            "pluralName": "Group (Full Control)",
            "fullName": "Group (Full Control)",
            "targetEntity": "Group",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "31cd7f9e-1cd2-22b4-7909-83de98da8115",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-08-17T20:49:45.95Z"
            },
                        {
               "entityId": null,
[...]
